[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.DoAutoAdjustLayout

Adjusts the layout for the list view using the specified arguments.

## Declaration

Source position: comctrls.pp line 1540

`protected procedure TCustomListView.DoAutoAdjustLayout(`
`const AMode: TLayoutAdjustmentPolicy;`
`const AXProportion: Double;`
`const AYProportion: Double`
`); override;`

## Arguments

`AMode` |  | Layout adjustment policy used in the method.
`AXProportion` |  | Factor used to adjust widths.
`AYProportion` |  | Factor used to adjust heights.

## Description

DoAutoAdjustLayout is an overridden procedure used to adjust the layout for the list view using the specified arguments. DoAutoAdjustLayout calls the inherited method.

DoAutoAdjustLayout extends the ancestor method to include support for sizing the columns in the list view using the proportions specified in AXProportion and AYProportion for the display density (DPI). DoAutoAdjustLayout also ensures that the widgetset class is initialized for each of the image list sizes represented by the TListViewImageList enumeration.

No actions are performed in the method if AMode does not include one of the following values: lapAutoAdjustWithoutHorizontalScrolling or lapAutoAdjustForDPI.

## See also

TControl.DoAutoAdjustLayout |  | Applies layout changes using the specified policy and scaling proportions to the control.